# TODO: utempter support
#
# Conditional build:
%bcond_without	256colors	# build without 256 color support
#
%include	/usr/lib/rpm/macros.perl
Summary:	Rxvt terminal with unicode support and some improvements
Summary(pl.UTF-8):	Terminal Rxvt z obsługą unicode i kilkoma usprawnieniami
Name:		urxvt
Version:	9.20
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-%{version}.tar.bz2
# Source0-md5:	4a5b823f08d21036f94a6c51e94d025b
Source1:	%{name}.desktop
Patch0:		%{name}-tic.patch
URL:		http://software.schmorp.de/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	fontconfig-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
BuildRequires:	startup-notification-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	zlib-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URxvt is a Rxvt modification which includes:
- unicode support
- xft font support (antialiasing)
- background pixmaps
- background tinting
- real transparency

%description -l pl.UTF-8
URxvt jest modyfikacją Rxvt uwzględniającą:
- obsługę unicode
- obsługę czcionek xft (antialiasing)
- możliwość ustawienia grafiki jako tła
- cieniowanie tła
- prawdziwą przezroczystość

%prep
%setup -q -n rxvt-unicode-%{version}
%patch0 -p1

%build
%{__aclocal} -I.
%{__autoheader}
%{__autoconf}
%configure \
%if %{with 256colors}
	--enable-256-color \
%endif
	--enable-everything \
	--enable-mousewheel \
	--enable-next-scroll \
	--with-term=rxvt \
	--disable-afterimage \
	--enable-smart-resize

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
echo '.so urxvtc.1' >$RPM_BUILD_ROOT%{_mandir}/man1/urxvtd.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes doc/README.xvt
%attr(755,root,root) %{_bindir}/urxvt*
%{_libdir}/%{name}
%{_desktopdir}/urxvt.desktop
%{_mandir}/man1/urxvt*.1*
%{_mandir}/man3/urxvtperl.3*
%{_mandir}/man7/urxvt.7*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/urxvt.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> aabba52
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Wed Apr 30 2014 Jan Palus <atler@pld-linux.org> b328df3
- up to 9.20

* Mon Jan 13 2014 Jan Palus <jan.palus@gmail.com> 87aa0ad
- toggle 256 color support as per th-next plan
- rel 2

* Wed Oct 30 2013 Jan Palus <jan.palus@gmail.com> dbb4c91
- up to 9.19

* Sun Jun 30 2013 wrobell <wrobell@pld-linux.org> fcdb474
- fixed tabbed extension syntax problem (visible with perl ver. 5.18)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 058dd02
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Mar 26 2013 Kacper Kornet <draenog@pld-linux.org> ae33523
- up to 9.18

* Sun Mar 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f50e5a
- updated to 9.17
- updated tic patch

* Fri Jan 27 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 3c553f7
- up to 9.15 + fix tic

* Fri Jan 27 2012 Bartłomiej Zimoń <cactus@pld-linux.org> 7b2795c
- fix tic Memory Fault

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 5afe203
- updated to 9.12

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 494888a
- updated to 9.11
- BR: gdk-pixbuf2-devel (for background image loading)

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 0a040d6
- BR: automake

* Thu Dec 16 2010 Jan Palus <jan.palus@gmail.com> 0af5832
- obsolete

* Thu Dec 16 2010 Jan Palus <jan.palus@gmail.com> 502dca7
- up to 9.10
- urxvt-fontconfig.patch applied upstream
- restore 256colors bcond
- don't pass flags to make - ac/am handles them correctly

* Thu Nov 25 2010 Jan Palus <jan.palus@gmail.com> b61c1ad
- urxvt heavily depends on internal libev so drop BR: libev which was wrong
  anyway

* Thu Nov 25 2010 Jan Palus <jan.palus@gmail.com> 043ad89
- fontconfig linking patch (fixes TODO)
- run aclocal to properly regenerate configure
- remove unneeded BR: fontconfig-libs
- rel 1

* Sat Nov 13 2010 Caleb Maclennan <caleb@alerque.com> 1ac6a3f
- Up to 9.09, NFY
- TODO: Fix build errors, fontconfig dependency?
- Removed previously unsupported 256 color patch, integrated upstream

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> aa4a2ec
- release 2

* Tue Jan 19 2010 sparky <sparky@pld-linux.org> 8047901
- BR: pkgconfig, rpm-perlprov

